org.apache.mina.statemachine.context

## Class DefaultStateContext

- java.lang.Object
- - org.apache.mina.statemachine.context.AbstractStateContext
  - - org.apache.mina.statemachine.context.DefaultStateContext

- All Implemented Interfaces:
    StateContext

      public class DefaultStateContext
      extends AbstractStateContext

  Default `StateContext` implementation.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultStateContext()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.statemachine.context.AbstractStateContext

      `getAttribute, getAttributes, getCurrentState, setAttribute, setCurrentState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultStateContext

          public DefaultStateContext()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.